pyFAI.opencl package
====================

pyFAI.opencl.OCLFullSplit module
--------------------------------

.. automodule:: pyFAI.opencl.OCLFullSplit
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.opencl.azim_csr module
----------------------------

.. automodule:: pyFAI.opencl.azim_csr
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.opencl.azim_hist module
-----------------------------

.. automodule:: pyFAI.opencl.azim_hist
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.opencl.azim_lut module
----------------------------

.. automodule:: pyFAI.opencl.azim_lut
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.opencl.ocl_hist_pixelsplit module
---------------------------------------

.. automodule:: pyFAI.opencl.ocl_hist_pixelsplit
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.opencl.preproc module
---------------------------

.. automodule:: pyFAI.opencl.preproc
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.opencl.setup module
-------------------------

.. automodule:: pyFAI.opencl.setup
    :members:
    :undoc-members:
    :show-inheritance:

pyFAI.opencl.sort module
------------------------

.. automodule:: pyFAI.opencl.sort
    :members:
    :undoc-members:
    :show-inheritance:


Module contents
---------------

.. automodule:: pyFAI.opencl
    :members:
    :undoc-members:
    :show-inheritance:
